#ifndef PACK_H_
#define PACK_H_

#include <limits.h>

void pack_16_be(unsigned char *, unsigned short);
void pack_32_be(unsigned char *, unsigned long);
#ifdef ULLONG_MAX
void pack_64_be(unsigned char *, unsigned long long);
#endif

void pack_16_le(unsigned char *, unsigned short);
void pack_32_le(unsigned char *, unsigned long);
#ifdef ULLONG_MAX
void pack_64_le(unsigned char *, unsigned long long);
#endif

unsigned short unpack_16_be(unsigned char *);
unsigned long  unpack_32_be(unsigned char *);
#ifdef ULLONG_MAX
unsigned long long unpack_64_be(unsigned char *);
#endif

unsigned short unpack_16_le(unsigned char *);
unsigned long  unpack_32_le(unsigned char *);
#ifdef ULLONG_MAX
unsigned long long unpack_64_le(unsigned char *);
#endif

#endif
